%define mozilla_version 0.9.8

Summary: Gnome browser based on Gecko (Mozilla rendering engine).
Name: galeon
Version: 1.0.3
Release: 4
License: GPL
Group: Applications/Internet
Source: http://prdownloads.sourceforge.net/galeon/galeon-%{PACKAGE_VERSION}.tar.bz2
URL: http://galeon.sourceforge.net
BuildRoot: %{_tmppath}/galeon-%{PACKAGE_VERSION}-root
BuildRequires: gettext >= 0.10.38
BuildRequires: mozilla-devel = %{mozilla_version}
BuildRequires: libxml-devel >= 1.8.14
BuildRequires: gnome-libs-devel >= 1.2.11
BuildRequires: gnome-vfs-devel >= 1.0.1
BuildRequires: gnome-core-devel 
BuildRequires: gdk-pixbuf-devel >= 0.10.1
BuildRequires: libglade-devel >= 0.13
BuildRequires: GConf >= 1.0.7

# for gconftool
PreReq: GConf >= 1.0.7

Requires: mozilla = %{mozilla_version}

# no support for ia64 for mozilla yet
ExcludeArch: ia64

%description
Gnome browser based on Gecko (Mozilla rendering engine).
%prep

%setup -q

%build
if [ "$MOZILLA_LIBS" != "" ]; then
	MOZILLA_FLAGS="$MOZILLA_FLAGS --with-mozilla-libs=$MOZILLA_LIBS"
fi
if [ "$MOZILLA_INCLUDES" != "" ]; then
	MOZILLA_FLAGS="$MOZILLA_FLAGS --with-mozilla-includes=$MOZILLA_INCLUDES"
fi
if [ "$MOZILLA_CVS" != "" ]; then
	MOZILLA_FLAGS="$MOZILLA_FLAGS --enable-mozilla-cvs"
fi

%configure --with-gnome --without-debug --disable-install-schemas \
	$MOZILLA_FLAGS

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
if which scrollkeeper-update>/dev/null 2>&1; then scrollkeeper-update; fi

export GCONF_CONFIG_SOURCE=`gconftool-1 --get-default-source`
gconftool-1 --makefile-install-rule %{_sysconfdir}/gconf/schemas/galeon.schemas > /dev/null 2>&1

%postun
if which scrollkeeper-update>/dev/null 2>&1; then scrollkeeper-update; fi

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING COPYING.README ChangeLog NEWS README INSTALL TODO THANKS FAQ

%{_bindir}/galeon
%{_bindir}/galeon-bin
%{_bindir}/galeon-config-tool

%{_libdir}/galeon/components

%config %{_sysconfdir}/gconf/schemas/galeon.schemas
%config %{_sysconfdir}/sound/events/galeon.soundlist 
%{_datadir}/gnome/apps/Internet/*.desktop
%{_datadir}/galeon
%{_datadir}/oaf/GNOME_Galeon_Automation.oaf
%{_datadir}/pixmaps/*
%{_datadir}/sounds/galeon
%{_mandir}/*/*

%{_datadir}/gnome/help/*
%{_datadir}/omf/galeon/*

%changelog
* Sat Feb 23 2002 Peter Hanecak <hanecak@megaloman.sk>
- merged with RedHat's galeon 1.0.3-3 package (see below)

* Fri Feb 08 2002 Christopher Blizzard <blizzard@redhat.com
- Update release and rebuild.

* Tue Feb 05 2002 Elliot Lee <sopwith@redhat.com> 1.0.3-1
- update to 1.0.3
- clean up spec file a bit

* Mon Jan 14 2002 Peter Hanecak <hanecak@megaloman.sk>
- update to 1.0.2

* Thu Dec 27 2001 Jeremy Katz <katzj@redhat.com>
- update to 1.0.2

* Mon Dec  3 2001 Christopher Blizzard <blizzard@face.0xdeadbeef.com>
- Update to 1.0.1

* Fri Nov 30 2001 Christopher Blizzard <blizzard@redhat.com>
- Add patch that fixes crash when using ctrl-q to shutdown.  Also
  should fix some sites that use window.close() to close the last
  window.

* Tue Nov 27 2001 Christopher Blizzard <blizzard@redhat.com>
- Update to 1.0
- Make sure that prereqs reflect what is in the upstream spec
- Make sure that all files are included from upstream spec

* Mon Nov 26 2001 Peter Hanecak <hanecak@megaloman.sk>
- update to 1.0

* Tue Nov 20 2001 Christopher Blizzard <blizzard@redhat.com>
- Update to 0.12.8
- Update Mozilla version
- Re-merge files section from upstream rpm spec file

* Mon Nov 12 2001 Peter Hanecak <hanecak@megaloman.sk>
- update to 0.12.7

* Wed Oct 31 2001 Peter Hanecak <hanecak@megaloman.sk>
- s/Copyright/License

* Wed Oct 31 2001 Peter Hanecak <hanecak@megaloman.sk>
- update to 0.12.6
- spec: %%files: changed '%{_datadir}/omf/galeon/*' to
  '%{_datadir}/omf/galeon' while this directory is empty for now

* Mon Oct 15 2001 Havoc Pennington <hp@redhat.com>
- 0.12.4, try building against new Mozilla, various file list updates,
  install gconf schemas in post

* Mon Sep 24 2001 Peter Hanecak <hanecak@megaloman.sk>
- update to 0.12.2

* Wed Sep 19 2001 Peter Hanecak <hanecak@megaloman.sk>
- update to 0.12.1

* Fri Aug 31 2001 Peter Hanecak <hanecak@megaloman.sk>
- update to 0.12

* Wed Aug 29 2001 Christopher Blizzard <blizzard@redhat.com>
- Bump up version to rebuild with 0.9.2.1
- Add patch that makes xfer code build with 0.9.2.1.

* Thu Jul 26 2001 Peter Hanecak <hanecak@megaloman.sk>
- update to 0.11.3

* Thu Jul 26 2001 Bill Nottingham <notting@redhat.com>
- 0.11.3 - fixes #50735

* Tue Jul 24 2001 Havoc Pennington <hp@redhat.com>
- add some build requires, #49851

* Mon Jul 23 2001 Peter Hanecak <hanecak@megaloman.sk>
- update to 0.11.2

* Sun Jul 22 2001 Jeremy Katz <katzj@redhat.com>
- 0.11.2
- s/Copyright/License
- don't define %nam and %ver
- use _tmppath instead of /tmp in buildroot
- better langify

* Mon Jul  9 2001 Peter Hanecak <hanecak@megaloman.sk>
- update to 0.11.1
- requires libxml >= 1.8.14

* Mon Jul  9 2001 Tim Powers <timp@redhat.com>
- languified
- removed Packager tag, and cleaned up files list 

* Tue Jun 12 2001 Peter Hanecak <hanecak@megaloman.sk>
- update to 0.11.0

* Wed Jun  6 2001 Peter Hanecak <hanecak@megaloman.sk>
- %%{_tmppath} used
- .bz2 source archiv
